import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class GlobalService {

  base_url : string = 'https://authenticator-registration-dot-tgs-ag-mpi-dev-001.uc.r.appspot.com/';
  getsecret : string = this.base_url+'generateSecret'
  sendotp : string = this.base_url+'sendOtp';
  validate : string = this.base_url+'validateOtpAndRegisterUser'
  constructor(public http: HttpClient) { }
  getQr(){
    return this.http.get(this.getsecret);
  }
  getOtp(email : any){
    return this.http.post(this.sendotp,email)
  }
  validateQr(postObj : any){
    return this.http.post(this.validate,postObj)
  }
}
